请选择 进入手机版 | 继续访问电脑版
爱气象,爱气象家园! 

气象家园

 找回密码
 立即注册

QQ登录

只需一步,快速开始

新浪微博登陆

只需一步, 快速开始

搜索
查看: 7202|回复: 28

[秀图] [求助]安装grads-2.1.a2的Linux版本过程中遇到问题

[复制链接]

新浪微博达人勋

发表于 2014-9-21 19:43:51 | 显示全部楼层 |阅读模式

登录后查看更多精彩内容~

您需要 登录 才可以下载或查看,没有帐号?立即注册 新浪微博登陆

x
我从http://www.iges.org/grads/downloads.html 这个网站下载了grads-2.1.a2的Linux版本,加压后./configure没什么异常,但是make 以后报了以下错误信息:Making all in src
make[1]: Entering directory `/gpfssan1/home/ywang/abu/software/Grads/grads-2.1.a2/src'
make  all-am
make[2]: Entering directory `/gpfssan1/home/ywang/abu/software/Grads/grads-2.1.a2/src'
gcc -DHAVE_CONFIG_H -I.                   -g -O2 -rdynamic -c gxdxwd.c
gxdxwd.c:18:29: error: X11/Xmu/WinUtil.h: No such file or directory
make[2]: *** [gxdxwd.o] Error 1
make[2]: Leaving directory `/gpfssan1/home/ywang/abu/software/Grads/grads-2.1.a2/src'
make[1]: *** [all] Error 2
make[1]: Leaving directory `/gpfssan1/home/ywang/abu/software/Grads/grads-2.1.a2/src'
make: *** [all-recursive] Error 1

我从google搜了一下,但没找到有效的解决方法,有人遇到过类似的问题吗?非常感谢!


密码修改失败请联系微信:mofangbao

新浪微博达人勋

发表于 2014-9-21 19:56:52 | 显示全部楼层
直接装open家园整合版就好了啊!!功能全,安装还简单,照他的提示安装都不用设置环境变量
密码修改失败请联系微信:mofangbao

新浪微博达人勋

 楼主| 发表于 2014-9-21 20:30:10 | 显示全部楼层
zcqahh 发表于 2014-9-21 19:56
直接装open家园整合版就好了啊!!功能全,安装还简单,照他的提示安装都不用设置环境变量

我从论坛里下过windows下的版本,是个压缩包,但我现在需要服务器上用的,论坛里好像没有LINUX版本的grads-2.1版本吧?
密码修改失败请联系微信:mofangbao

新浪微博达人勋

发表于 2014-9-21 20:31:11 | 显示全部楼层
abd 发表于 2014-9-21 20:30
我从论坛里下过windows下的版本,是个压缩包,但我现在需要服务器上用的,论坛里好像没有LINUX版本的grad ...

去官网下http://sourceforge.net/projects/ ... grads2/2.0.1.oga.1/
密码修改失败请联系微信:mofangbao

新浪微博达人勋

 楼主| 发表于 2014-9-21 21:06:54 | 显示全部楼层
zcqahh 发表于 2014-9-21 20:31
去官网下http://sourceforge.net/projects/opengrads/files/grads2/2.0.1.oga.1/

谢谢!我下的那个地址(http://www.iges.org/grads/downloads.html )难道不是官网吗?
不过,你这个网址是grads-2.0.1的版本的地址,我进去返回上一级目录并找到grads-2.1版本对应的目录,http://sourceforge.net/projects/ ... 2.1.a2.oga.1/Linux/, 但是下下来加压后发现也没有configure文件,make 也不行,每个文件夹都看了一下,有两个文件夹(Classic,Contents),把Classic里的bin,data 设为.bashrc里grads对应的环境变量里后发现不能用,你试过吗?
密码修改失败请联系微信:mofangbao

新浪微博达人勋

发表于 2014-9-21 21:08:21 | 显示全部楼层
abd 发表于 2014-9-21 21:06
谢谢!我下的那个地址(http://www.iges.org/grads/downloads.html )难道不是官网吗?
不过,你这个网 ...

不用,都不用make,直接解压就可以用了
密码修改失败请联系微信:mofangbao

新浪微博达人勋

发表于 2014-9-21 21:08:55 | 显示全部楼层
abd 发表于 2014-9-21 21:06
谢谢!我下的那个地址(http://www.iges.org/grads/downloads.html )难道不是官网吗?
不过,你这个网 ...

放到指定文件下不用设置环境变量
密码修改失败请联系微信:mofangbao

新浪微博达人勋

 楼主| 发表于 2014-9-21 21:21:25 | 显示全部楼层
zcqahh 发表于 2014-9-21 21:08
放到指定文件下不用设置环境变量

啊?不用设环境变量?直接解压后就用?那,怎么进入grads的输入命令界面呢?在bin文件夹里grads文件貌似不能用啊?输入./grads 这个命令报错,你是怎么直接用的呀?
密码修改失败请联系微信:mofangbao

新浪微博达人勋

发表于 2014-9-21 21:35:31 | 显示全部楼层
abd 发表于 2014-9-21 21:21
啊?不用设环境变量?直接解压后就用?那,怎么进入grads的输入命令界面呢?在bin文件夹里grads文件貌似 ...

直接grads就行了
密码修改失败请联系微信:mofangbao

新浪微博达人勋

 楼主| 发表于 2014-9-21 21:50:14 | 显示全部楼层

直接grads就报错了,
grads: /usr/lib64/libstdc++.so.6: version `GLIBCXX_3.4.11' not found (required by grads)
grads: /usr/lib64/libstdc++.so.6: version `GLIBCXX_3.4.9' not found (required by grads)
grads: /lib64/libc.so.6: version `GLIBC_2.7' not found (required by grads)
密码修改失败请联系微信:mofangbao
您需要登录后才可以回帖 登录 | 立即注册 新浪微博登陆

本版积分规则

Copyright ©2011-2014 bbs.06climate.com All Rights Reserved.  Powered by Discuz! (京ICP-10201084)

本站信息均由会员发表,不代表气象家园立场,禁止在本站发表与国家法律相抵触言论

快速回复 返回顶部 返回列表